Bug 511196 - Review Request: ibus-table-array30 - Array30 Chinese input method for ibus-table
Review Request: ibus-table-array30 - Array30 Chinese input method for ibus-table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 512646 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 02:50 EDT by Ding-Yi Chen
Modified: 2009-08-17 17:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2.0.20090729-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 17:55:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2009-07-14 02:50:26 EDT
Spec URL: http://dchen.fedorapeople.org/files/rpms/ibus-table-array30.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/ibus-table-array30-1.2.0.20090714-1.fc11.src.rpm
Description: 
The Array 30 Chinese input method for ibus-table. 
It covers more than 70 thousands Chinese characters,
which are listed in unicode 3.1.
Comment 1 Parag AN(पराग) 2009-07-14 05:07:37 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1472650
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3d1d3e9bc8e24cfea7af24c30fca8ca940449b46  ibus-table-array30-1.2.0.20090714-Source.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ibus-table-createdb (post) scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Should:
1) you should use make install as 
make DESTDIR=%{buildroot} INSTALL="install -p" install

2) License is not clear to me. table text file says its LGPL license.

3) Other ibus-table-* packages are not using cin2ibus.c. Any reason for using this for this package?

4) also saw other ibus-table-* packages using
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
in %build.
Comment 2 Ding-Yi Chen 2009-07-14 23:33:57 EDT
Spec URL: http://dchen.fedorapeople.org/files/rpms/ibus-table-array30.spec
SRPM URL:
http://dchen.fedorapeople.org/files/rpms/ibus-table-array30-1.2.0.20090715-1.fc11.src.rpm


Should:
> 1) you should use make install as 
> make DESTDIR=%{buildroot} INSTALL="install -p" install

Fixed.

> 2) License is not clear to me. table text file says its LGPL license.

Fixed, according to the source .cin file, it should be GPL.

> 3) Other ibus-table-* packages are not using cin2ibus.c.
>  Any reason for using this for this package?
It is my little program that convert tables in cin (for xcin/gcin)
to ibus format. Since ibus-table upstream have not accepted it,
I put it in my package.

> 4) also saw other ibus-table-* packages using 
> export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o" in %build. 

I put the checking and setting inside CMakeList.
According to documentation of ibus-table, Option -o should be used when packing.
Comment 3 Parag AN(पराग) 2009-07-15 06:29:40 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1474634
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f59f2ec8612ed962734e3d846b1ec7e7de59ff22  ibus-table-array30-1.2.0.20090715-Source.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ibus-table-createdb(post) scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.
Comment 4 Ding-Yi Chen 2009-07-15 22:25:28 EDT
New Package CVS Request
=======================
Package Name: ibus-table-array30
Short Description: ibus-table-array30 - Array30 Chinese input method for ibus-table
Owners: dchen
Branches: F-10 F-11
InitialCC: i18n-team
Comment 5 Kevin Fenzi 2009-07-16 01:40:23 EDT
cvs done.
Comment 6 Parag AN(पराग) 2009-07-21 01:58:17 EDT
*** Bug 512646 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2009-08-07 00:47:03 EDT
ibus-table-array30-1.2.0.20090729-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-array30-1.2.0.20090729-1.fc11
Comment 8 Fedora Update System 2009-08-08 15:22:10 EDT
ibus-table-array30-1.2.0.20090729-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-array30'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8367
Comment 9 Fedora Update System 2009-08-17 17:55:54 EDT
ibus-table-array30-1.2.0.20090729-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.